hd_bitmap_t Struct Reference
Public interface » ID macros » General data types

Bitmap data type. More...

`#include <hd.h>`

## Data Fields

unsigned char | bitmap [16]
| large enough for all uses
unsigned | bits
| real bitmap length in bits
unsigned | not_empty:1
| at least 1 bit is set
str_list_t * | str
| interpreted bitmask

## Detailed Description

Bitmap data type.

The documentation for this struct was generated from the following file:

- hd.h